Get PnL Leaderboards
curl --request GET \
--url https://api.clicker.xyz/v1/leaderboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clicker.xyz/v1/leaderboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clicker.xyz/v1/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sections": [
{
"key": "<string>",
"title": "<string>",
"description": "<string>",
"commenters": [
{
"reason": {
"title": "<string>",
"value": "<string>"
},
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123,
"perAddressPnl30d": {},
"perAddressRoiPercent30d": {},
"perChainPnl30d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainRoiPercent30d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainVolumeUsd30d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainPnl7d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainRoiPercent7d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainVolumeUsd7d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
}
},
"isNSFW": false,
"metrics": {
"thisPartner": {
"followingCount": 123,
"followerCount": 123
},
"allPartners": {
"followingCount": 123,
"followerCount": 123
},
"comments": {
"commentCount30d": 123,
"commentCountAllTime": 123
},
"copytradedAllTime": {
"count": 123,
"distinctActors": 123,
"volumeUSD": 123
}
},
"externalId": "<string>",
"isFollowedByUser": true
}
],
"others": [
{
"reason": {
"title": "<string>",
"value": "<string>"
},
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123,
"perAddressPnl30d": {},
"perAddressRoiPercent30d": {},
"perChainPnl30d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainRoiPercent30d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainVolumeUsd30d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainPnl7d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainRoiPercent7d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
},
"perChainVolumeUsd7d": {
"solana": 123,
"ethereum": 123,
"base": 123,
"hyperliquid": 123
}
},
"isNSFW": false,
"metrics": {
"thisPartner": {
"followingCount": 123,
"followerCount": 123
},
"allPartners": {
"followingCount": 123,
"followerCount": 123
},
"comments": {
"commentCount30d": 123,
"commentCountAllTime": 123
},
"copytradedAllTime": {
"count": 123,
"distinctActors": 123,
"volumeUSD": 123
}
},
"externalId": "<string>",
"isFollowedByUser": true
}
]
}
]
}{
"error": "<string>"
}Leaderboard (V1)
Get the top traders across different PnL leaderboard categories (overall, by chain, by community, by token type). Returns ranked lists of traders with their profits and trading metrics. Note: Chain leaderboards are sorted by per-chain PnL, but the pnl30 field always reflects all-chain PnL. Use the reason property to display per-chain values.
GET
/
v1
/
leaderboard
Get PnL Leaderboards
V1 is deprecated. We recommend using Leaderboard V2 which provides a simpler, filter-based API with per-chain PnL breakdowns.
commenters (traders with swap comments) and others (traders without comments).
Migration to V2
See the V2 Leaderboard documentation for migration guidance.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
0 < x <= 250Available options:
7d, 30d Response
200
Show child attributes
Show child attributes
⌘I